| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces
OgreWorkQueue.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreAny.h"`
`#include "OgreSharedPtr.h"`
`#include "OgreCommon.h"`
`#include "Threading/OgreThreadHeaders.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

## Classes
class | Ogre::DefaultWorkQueueBase
| Base for a general purpose request / response style background work queue. More...
class | Ogre::WorkQueue
| Interface to a general purpose request / response style background work queue. More...
class | Ogre::WorkQueue::Request
| General purpose request structure. More...
class | Ogre::WorkQueue::RequestHandler
| Interface definition for a handler of requests. More...
struct | Ogre::WorkQueue::Response
| General purpose response structure. More...
class | Ogre::WorkQueue::ResponseHandler
| Interface definition for a handler of responses. More...

## Namespaces
| Ogre